Working patterns
Update working pattern
Path Parameters
id*integer
Format
int64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/public/v2/working_patterns/0" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "monday_hours": 0.1, "tuesday_hours": 0.1, "wednesday_hours": 0.1, "thursday_hours": 0.1, "friday_hours": 0.1, "saturday_hours": 0.1, "sunday_hours": 0.1 }'{ "data": { "id": 0, "name": "string", "monday_hours": "string", "tuesday_hours": "string", "wednesday_hours": "string", "thursday_hours": "string", "friday_hours": "string", "saturday_hours": "string", "sunday_hours": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}